<template>
  <div id="UserInterface">
    <div class="gradient shadow">
      <div class="column">
        <h1>Hello Alex.</h1>
        <h2 class="profit">$100.00</h2>
        <div class="sideways">
          <div class="column">
            <h3><b>Buyed</b></h3>
            <h3>$000</h3>
          </div>
          <div class="column">
            <h3><b>Selled</b></h3>
            <h3>$000</h3>
          </div>
        </div>
      </div>
      <div class="column">
        <button class="toggle activated shadow">Listener Activated</button>
        <br>
        <button class="toggle deactivated shadow">Trader Activated</button>
      </div>
      
    </div>
    <div class="cardSlider">
      <div class="card shadow">
        <div class="reveal">
          <h1>VTC</h1>
        </div>
        <div class="static">
          <h1>BTC</h1>
            <h2>0.003345</h2>
        </div>
         <div class="reveal">
          <h1>BTC</h1>
          <h2>$3345</h2>
        </div>
            
            
      </div>
    </div>
    <div class="agentInfo  shadow">
        <h2>test</h2>
        <h2>satoshi</h2>
        <h2>investUnit</h2>
    </div>
    <div class="tableContainer">
      <table>
        <tr>
        <th>Buy Price</th>
        <th>Quantity</th>
        <th>Real</th>
        <th>sell Price</th>
        <th>Quantity</th>
        <th>Real</th>
      </tr>
      <tr>
        <td>0</td>
        <td>0</td>
        <td>0</td>
        <td>0</td>
        <td>0</td>
        <td>0</td>
      </tr>
      
      </table>
      
    </div>
  </div>
</template>

<script>

export default {
  name: 'UserInterface',
  components: {
    
    },
  data(){
    return{
    }
  },
  methods:{
  },  
  mounted(){
  }
  
}
</script>

<style>
.gradient{
  background: linear-gradient(180deg,#6E4AFF -10%, #B114FF 120%);
  display: flex;
  padding: 5% 20% 10% 15%;
  
}
.gradient h1{
  color: #ffffff;
  margin-bottom: 10px;
  text-align: left;
}
.profit{
  text-align: left;
  margin: 10px;
  color:#6AFF74;
}
.column{
  display: block;
  width: 50%;
  margin: auto;
  color: #ffffff;
}
.sideways{
  text-align: left;
  display:flex;
}
button{
  border-radius: 15px;
  color:#ffffff;
  width: 250px;
  height: 50px;
  font-size: 20px;
  font-style: bold;
  margin-top : 10%;
  border: solid 0px;
}
.activated{
  background: #6AFF74;
  color: #666666;
}
.deactivated{
  background: #FF4A4A;
}
.card{
  background: #ffffff;
  width: 20% ;
  height: 150px;
  padding: 0% 0%;
  border-radius: 30px;
  margin: -7% 0% 0% 7%;
 
  position: relative;
}
.agentInfo{
  background: #ffffff;
  width: 30%;
  padding: 2% 0%;
  border-radius: 30px;
  margin: 3% 0% 0% 7%;
  text-align: left;
  padding: 2% 0% 2% 5%;
}
.shadow{
  -webkit-box-shadow: 10px 10px 43px -3px rgba(0,0,0,0.5);
  -moz-box-shadow: 10px 10px 43px -3px rgba(0,0,0,0.5);
  box-shadow: 10px 10px 43px -3px rgba(0,0,0,0.5);
}
th{
  width: 10%;
  padding: 20px 0px;
}
.tableContainer{
  text-align: center;
}
table{
  text-align: center;
}
.reveal{
  margin: 0;
  background: #2c3e50;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 30px;
  clip-path: circle(30% at 0% 0%);
  transition: clip-path .5s ease-in;
  color: #ffffff;
  
}
.static{
  margin: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 30px;

}
.card:hover .reveal{
  clip-path: circle(75%);
  
}
</style>
